Subject: Re: [Idr] AS hopcount draft (redux)

From: Albert Tian <[email-masked]>
Date: Sun, 04 Dec 2005 23:43:25 -0800

Hi Tony/Robert,

Yes I see this can be a simple and useful tool, and I support it to
become a WG draft.

Wondering would it be helpful if we allow the hopcount to be decremented
by a configurable "peering-distance" rather than a fixed number "one"
for ebgp. The default peering-distance can be zero for ibgp, one for
ebgp.

On Thu, 2005-11-17 at 03:25, Robert Raszuk wrote: 
> Pekka,
> 
> > While I can see it seems simple, I don't see how it would be very 
> > useful.  As the mesh of interconnections gets more and more dense, I 
> > don't believe it's really a sufficient mechanism to express (the 
> > intended) policy.
> 
> Your doubts that the idea may not address few possible interconnect 
> topologies and may not be the universal solution for limiting update 
> propagation for generations to come is IMHO not a sufficient argument 
> not to progress with the draft and make it a WG doc to address all other 
> much more controled AS meshes.
> 
> Imagine there is a network operator who owns number of ASes and wants to 
> limit some information distribution in one of BGP SAFIs just to his 
> domain. The usual topology is one AS in the core surranded by reginal 
> ASes. If he configured AS_HOPCOUNT to 3 and do not peer (by design) from 
> the core AS his problem is easily solved.

In this example, he can even peer from the core AS, if that peer is
configured with a peering-distance of 3. 

Thanks,

Albert

> Cheers,
> R.
> 
> > That is, is there any real examples of applicability of AS hopcount with 
> > value >= 3 ?  I'd certainly be interested in hearing about it and the 
> > policy goal behind such use.
> 
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/idr

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr